--------------------
-- 监听配置分类
--------------------
DELETE FROM t_msisv_monitortype WHERE FID = 1808771897723322368;
INSERT INTO t_msisv_monitortype(FID,FMASTERID,FPARENTID,FSTATUS,FNUMBER,FNAME,FCREATETIME,FISLEAF,FENABLE,FMODIFIERID,FMODIFYTIME,FLEVEL,FLONGNUMBER,FCREATORID) VALUES (1808771897723322368,1808771897723322368,0,'C','innersync','内部购销协同',{ts'2023-11-01  00:00:00'},'1','1',1495644759992200192,{ts'2023-11-14  00:00:00'},1,'innersync',1495644759992200192);

-- 多语言
DELETE FROM t_msisv_monitortype_l WHERE FPKID = '3O5N8W6KWUR5';
INSERT INTO t_msisv_monitortype_l(FID,FPKID,FLOCALEID,FFULLNAME,FNAME) VALUES (1808771897723322368,'3O5N8W6KWUR5','zh_CN','内部购销协同','内部购销协同');
DELETE FROM t_msisv_monitortype_l WHERE FPKID = '3O5N8W6KWUR6';
INSERT INTO t_msisv_monitortype_l(FID,FPKID,FLOCALEID,FFULLNAME,FNAME) VALUES (1808771897723322368,'3O5N8W6KWUR6','zh_TW',' ','內部購銷協同');

--------------------
-- 生态监听
--------------------
DELETE FROM t_msisv_ecologicmonitor WHERE FID = 1808801638752770048;
INSERT INTO t_msisv_ecologicmonitor(FID,FFILTERJSON_TAG,FOPERATIONNAME,FDISABLEDATE,FFILTERFORMULA_TAG,FMASTERID,FSTATUS,FFILTERJSON,FNUMBER,FNAME,FGROUPID,FCREATETIME,FDISABLER,FFILTERFORMULA,FMONITOROBJ,FMODIFIERID,FISSYNC,FENABLE,FBIZAPP,FISPRESET,FMODIFYTIME,FMONITOROPERATION,FCREATORID) VALUES (1808801638752770048,'{"filterRow":[{"id":"3OJG5P92166V","leftBracket":"","compareType":"9","fieldName":"customer.internal_company.number","rightBracket":"","logic":"0","value":[{"id":"3OJG5P9252BT","value":""}],"baseDataIds":[]},{"id":"3OJG5P92166W","leftBracket":"","compareType":"105","fieldName":"isvirtualbill","rightBracket":"","logic":"0","value":[{"id":"3OJG5P9252BU","value":"0"}],"baseDataIds":[]},{"id":"3OJG5P92166X","leftBracket":"","compareType":"105","fieldName":"ischargeoff","rightBracket":"","logic":"0","value":[{"id":"3OJG5P9252BV","value":"0"}],"baseDataIds":[]},{"id":"3OJG5P92166Y","leftBracket":"","compareType":"105","fieldName":"ischargeoffed","rightBracket":"","logic":"0","value":[{"id":"3OJG5P9252BW","value":"0"}],"baseDataIds":[]},{"id":"3OJG5P92166Z","leftBracket":"","compareType":"105","fieldName":"invscheme.bizdirection","rightBracket":"","logic":"0","value":[{"id":"3OJG5P9252BX","value":"0"}],"baseDataIds":[]}],"forList":false}','审核',{ts'2023-11-14  00:00:00'},'( trim(EMPTY_TO_TEXT(customer.internal_company.number, '''')) != ''''    and    isvirtualbill = false   and    ischargeoff = false   and    ischargeoffed = false   and    invscheme.bizdirection = (''0'') )',1808801638752770048,'C',' ','STJT-231101-001','销售出库_采购入库（内部购销）',1808771897723322368,{ts'2023-11-14  00:00:00'},1495644759992200192,' ','im_saloutbill',1,'0','0','=9Q86DR2P+Q','1',{ts'2023-11-14  00:00:00'},'audit',1);


-- 多语言
DELETE FROM t_msisv_ecologicmonitor_l WHERE FPKID = '3O5STLF3448/';
INSERT INTO t_msisv_ecologicmonitor_l(FID,FPKID,FLOCALEID,FOPERATIONNAME,FNAME) VALUES (1808801638752770048,'3O5STLF3448/','zh_CN','审核','销售出库_采购入库（内部购销）');
DELETE FROM t_msisv_ecologicmonitor_l WHERE FPKID = '3O5STLF34480';
INSERT INTO t_msisv_ecologicmonitor_l(FID,FPKID,FLOCALEID,FOPERATIONNAME,FNAME) VALUES (1808801638752770048,'3O5STLF34480','zh_TW','审核','銷售出庫_采購入庫（內部購銷）');
DELETE FROM t_msisv_ecologicmonitor_l WHERE FPKID = '3O5STLF34481';
INSERT INTO t_msisv_ecologicmonitor_l(FID,FPKID,FLOCALEID,FOPERATIONNAME,FNAME) VALUES (1808801638752770048,'3O5STLF34481','en_US','审核',' ');


-- 联合下推分录
DELETE FROM t_msisv_actionentry WHERE FENTRYID = 1808801639205754880;
INSERT INTO t_msisv_actionentry(FID,FSERVICEACTION,FENTRYID,FSEQ,FCLASSNAME,FUPDATEACTION,FDESCRIPTION,FTYPEID,FPUSHACTION) VALUES (1808801638752770048,' ',1808801639205754880,1,' ',0,' ','A',1808801523610735616);


--------------------
-- 联合下推
--------------------
-- 联合下推
DELETE FROM t_msisv_unionpush WHERE FID = 1808801523610735616;
INSERT INTO t_msisv_unionpush(FTARBILLFILTERFORMULA_TAG,FRELATEOBJMAINFIELDKEY,FTARBILLFILTERFORMULA,FSRCBILLFILTERFORMULA,FSRCBILLMAINFIELDKEY,FTARBILLMAINFIELD,FMASTERID,FRELATEOBJFILTERFORMULA,FBOTPRULEID,FTARBILLFILTERJSON_TAG,FRELATEOBJFILTER,FSRCBILLFILTERJSON,FCREATETIME,FDISABLER,FENABLE,FRELATEOBJFILTERFORMULA_TAG,FSRCBILLFILTERFORMULA_TAG,FSRCBILLFILTER,FRELATEOBJMAINFIELD,FID,FRELATEOBJFILTERJSON,FTARBILLFILTERJSON,FDISABLEDATE,FISINVORELATEOBJ,FSTATUS,FTARBILL,FRELATEOBJ,FSRCBILLMAINFIELD,FNUMBER,FNAME,FSRCBILL,FMONITOROBJ,FMODIFIERID,FISPRESET,FSRCBILLFILTERJSON_TAG,FMODIFYTIME,FTARBILLMAINFIELDKEY,FCREATORID,FTARBILLFILTER,FRELATEOBJFILTERJSON_TAG,FISCARRYSN,FMATCHMETHOD) VALUES (' ','billentry.baseqty',' ',' ','billentry.baseqty','物料明细.基本数量',1808801523610735616,' ','565033700123759616',' ',' ',' ',{ts'2023-11-14  00:00:00'},0,'1',' ',' ',' ','物料明细.基本数量',1808801523610735616,' ',' ',NULL,'1','C','im_purinbill','im_saloutbill','物料明细.基本数量','LHXT-231101-001','销售出库_采购入库（内部购销）','pm_purorderbill','im_saloutbill',1,'1',' ',{ts'2023-11-14  00:00:00'},'billentry.baseqty',1,' ',' ','1','B');

-- 多语言
DELETE FROM t_msisv_unionpush_l WHERE FPKID = '3O5SSZ8J8C3S';
INSERT INTO t_msisv_unionpush_l(FID,FPKID,FLOCALEID,FNAME) VALUES (1808801523610735616,'3O5SSZ8J8C3S','zh_CN','销售出库_采购入库（内部购销）');
DELETE FROM t_msisv_unionpush_l WHERE FPKID = '3O5SSZ8J8C3T';
INSERT INTO t_msisv_unionpush_l(FID,FPKID,FLOCALEID,FNAME) VALUES (1808801523610735616,'3O5SSZ8J8C3T','zh_TW','銷售出庫_采購入庫（內部購銷）');

-- 关联匹配
-- BOTP关系

-- 赋值关系
DELETE FROM t_msisv_puassignentry WHERE FENTRYID = 1808801550554944514;
INSERT INTO t_msisv_puassignentry(FID,FASSIGNFORMULAJSON_TAG,FRELATEOBJASSIGNFIELD,FASSIGNFORMULAJSON,FENTRYID,FSEQ,FISNEGATE,FASSIGNFORMULA,FASSIGNMETHOD,FTARBILLASSIGNFIELDKEY,FRELATEOBJASSIGNFIELDKEY,FTARBILLASSIGNFIELD) VALUES (1808801523610735616,NULL,' ',' ',1808801550554944514,1,'0',' ','D','billentry.qty',' ','物料明细.数量');
DELETE FROM t_msisv_puassignentry WHERE FENTRYID = 1808801550554944515;
INSERT INTO t_msisv_puassignentry(FID,FASSIGNFORMULAJSON_TAG,FRELATEOBJASSIGNFIELD,FASSIGNFORMULAJSON,FENTRYID,FSEQ,FISNEGATE,FASSIGNFORMULA,FASSIGNMETHOD,FTARBILLASSIGNFIELDKEY,FRELATEOBJASSIGNFIELDKEY,FTARBILLASSIGNFIELD) VALUES (1808801523610735616,NULL,' ',' ',1808801550554944515,2,'0',' ','D','billentry.qtyunit2nd',' ','物料明细.辅助数量');
DELETE FROM t_msisv_puassignentry WHERE FENTRYID = 1808801550554944516;
INSERT INTO t_msisv_puassignentry(FID,FASSIGNFORMULAJSON_TAG,FRELATEOBJASSIGNFIELD,FASSIGNFORMULAJSON,FENTRYID,FSEQ,FISNEGATE,FASSIGNFORMULA,FASSIGNMETHOD,FTARBILLASSIGNFIELDKEY,FRELATEOBJASSIGNFIELDKEY,FTARBILLASSIGNFIELD) VALUES (1808801523610735616,'{"items":[{"id":"3OJT7AK0U9/T","seq":1,"ifconstant":0,"selectType":"ByCondition","condition":{"expression":"","exprTran":"物料明细.物料编码.启用批号管理 等于 是","description":{"zh_CN":""},"filterCondition":{"filterRow":[{"id":"3OJT6B9S4T2D","leftBracket":"","compareType":"105","fieldName":"material.enablelot","rightBracket":"","logic":"0","value":[{"id":"3OJT6B9S2PMC","value":"1"}],"baseDataIds":[]}],"forList":false},"filterString":"{\"filterRow\":[{\"id\":\"3OJT6B9S4T2D\",\"leftBracket\":\"\",\"compareType\":\"105\",\"fieldName\":\"material.enablelot\",\"rightBracket\":\"\",\"logic\":\"0\",\"value\":[{\"id\":\"3OJT6B9S2PMC\",\"value\":\"1\"}],\"baseDataIds\":[]}],\"forList\":false}","initialized":false,"localeExprTran":{"zh_CN":"物料明细.物料编码.启用批号管理 等于 是"},"exprDesc":"物料明细.物料编码.启用批号管理 等于 是"},"formula":{"expression":"billentry.lotnumber","exprTran":"批号","description":{"zh_CN":""},"localeExprTran":{"zh_CN":"批号"},"exprDesc":"批号"},"select":"ByCondition"}],"description":"批号"}',' ',' ',1808801550554944516,4,'0','批号','F','billentry.lotnumber',' ','物料明细.批号');
DELETE FROM t_msisv_puassignentry WHERE FENTRYID = 1808801550554944518;
INSERT INTO t_msisv_puassignentry(FID,FASSIGNFORMULAJSON_TAG,FRELATEOBJASSIGNFIELD,FASSIGNFORMULAJSON,FENTRYID,FSEQ,FISNEGATE,FASSIGNFORMULA,FASSIGNMETHOD,FTARBILLASSIGNFIELDKEY,FRELATEOBJASSIGNFIELDKEY,FTARBILLASSIGNFIELD) VALUES (1808801523610735616,'{"items":[{"id":"3OP4JQZU4453","seq":1,"ifconstant":0,"selectType":"ByCondition","condition":{"expression":"","exprTran":"物料明细.物料编码.保质期管理 等于 是","description":{"zh_CN":""},"filterCondition":{"filterRow":[{"id":"3OP4IQEJIVPF","leftBracket":"","compareType":"105","fieldName":"material.enableshelflifemgr","rightBracket":"","logic":"0","value":[{"id":"3OP4IQEJIV06","value":"1"}],"baseDataIds":[]}],"forList":false},"filterString":"{\"filterRow\":[{\"id\":\"3OP4IQEJIVPF\",\"leftBracket\":\"\",\"compareType\":\"105\",\"fieldName\":\"material.enableshelflifemgr\",\"rightBracket\":\"\",\"logic\":\"0\",\"value\":[{\"id\":\"3OP4IQEJIV06\",\"value\":\"1\"}],\"baseDataIds\":[]}],\"forList\":false}","initialized":false,"localeExprTran":{"zh_CN":"物料明细.物料编码.保质期管理 等于 是"},"exprDesc":"物料明细.物料编码.保质期管理 等于 是"},"formula":{"expression":"billentry.producedate","exprTran":"生产日期","description":{"zh_CN":""},"localeExprTran":{"zh_CN":"生产日期"},"exprDesc":"生产日期"},"select":"ByCondition"}],"description":"生产日期"}',' ',' ',1808801550554944518,5,'0','生产日期','F','billentry.producedate',' ','物料明细.生产日期');
DELETE FROM t_msisv_puassignentry WHERE FENTRYID = 1808801550554944519;
INSERT INTO t_msisv_puassignentry(FID,FASSIGNFORMULAJSON_TAG,FRELATEOBJASSIGNFIELD,FASSIGNFORMULAJSON,FENTRYID,FSEQ,FISNEGATE,FASSIGNFORMULA,FASSIGNMETHOD,FTARBILLASSIGNFIELDKEY,FRELATEOBJASSIGNFIELDKEY,FTARBILLASSIGNFIELD) VALUES (1808801523610735616,'{"items":[{"id":"3OP4LZLXL+NT","seq":1,"ifconstant":0,"selectType":"ByCondition","condition":{"expression":"","exprTran":"物料明细.物料编码.保质期管理 等于 是","description":{"zh_CN":""},"filterCondition":{"filterRow":[{"id":"3OP4LB2V3ISG","leftBracket":"","compareType":"105","fieldName":"material.enableshelflifemgr","rightBracket":"","logic":"0","value":[{"id":"3OP4LB2V3JFQ","value":"1"}],"baseDataIds":[]}],"forList":false},"filterString":"{\"filterRow\":[{\"id\":\"3OP4LB2V3ISG\",\"leftBracket\":\"\",\"compareType\":\"105\",\"fieldName\":\"material.enableshelflifemgr\",\"rightBracket\":\"\",\"logic\":\"0\",\"value\":[{\"id\":\"3OP4LB2V3JFQ\",\"value\":\"1\"}],\"baseDataIds\":[]}],\"forList\":false}","initialized":false,"localeExprTran":{"zh_CN":"物料明细.物料编码.保质期管理 等于 是"},"exprDesc":"物料明细.物料编码.保质期管理 等于 是"},"formula":{"expression":"billentry.expirydate","exprTran":"到期日期","description":{"zh_CN":""},"localeExprTran":{"zh_CN":"到期日期"},"exprDesc":"到期日期"},"select":"ByCondition"}],"description":"到期日期"}',' ',' ',1808801550554944519,6,'0','到期日期','F','billentry.expirydate',' ','物料明细.到期日期');
DELETE FROM t_msisv_puassignentry WHERE FENTRYID = 1808801550554944520;
INSERT INTO t_msisv_puassignentry(FID,FASSIGNFORMULAJSON_TAG,FRELATEOBJASSIGNFIELD,FASSIGNFORMULAJSON,FENTRYID,FSEQ,FISNEGATE,FASSIGNFORMULA,FASSIGNMETHOD,FTARBILLASSIGNFIELDKEY,FRELATEOBJASSIGNFIELDKEY,FTARBILLASSIGNFIELD) VALUES (1808801523610735616,'{"items":[{"id":"3OJT844ZOI+N","seq":1,"ifconstant":0,"selectType":"Others","formula":{"expression":"id","exprTran":"单据头.内码(id)","description":{"zh_CN":""},"localeExprTran":{"zh_CN":"单据头.内码(id)"},"exprDesc":"单据头.内码(id)"},"select":"Others"}],"description":"单据头.内码(id)"}',' ',' ',1808801550554944520,7,'0','单据头.内码(id)','F','billentry.groupnumber',' ','物料明细.成组号');
DELETE FROM t_msisv_puassignentry WHERE FENTRYID = 1808801550554944521;
INSERT INTO t_msisv_puassignentry(FID,FASSIGNFORMULAJSON_TAG,FRELATEOBJASSIGNFIELD,FASSIGNFORMULAJSON,FENTRYID,FSEQ,FISNEGATE,FASSIGNFORMULA,FASSIGNMETHOD,FTARBILLASSIGNFIELDKEY,FRELATEOBJASSIGNFIELDKEY,FTARBILLASSIGNFIELD) VALUES (1808801523610735616,'{"items":[{"id":"3OJT9=/O/5OF","seq":1,"ifconstant":0,"selectType":"Others","formula":{"expression":"billentry.id","exprTran":"物料明细.内码(billentry.id)","description":{"zh_CN":""},"localeExprTran":{"zh_CN":"物料明细.内码(billentry.id)"},"exprDesc":"物料明细.内码(billentry.id)"},"select":"Others"}],"description":"物料明细.内码(billentry.id)"}',' ',' ',1808801550554944521,8,'0','物料明细.内码(billentry.id)','F','billentry.groupseq',' ','物料明细.成组行号');
DELETE FROM t_msisv_puassignentry WHERE FENTRYID = 1814651778021703680;
INSERT INTO t_msisv_puassignentry(FID,FASSIGNFORMULAJSON_TAG,FRELATEOBJASSIGNFIELD,FASSIGNFORMULAJSON,FENTRYID,FSEQ,FISNEGATE,FASSIGNFORMULA,FASSIGNMETHOD,FTARBILLASSIGNFIELDKEY,FRELATEOBJASSIGNFIELDKEY,FTARBILLASSIGNFIELD) VALUES (1808801523610735616,' ',' ',' ',1814651778021703680,3,'0','辅助属性','F','billentry.auxpty',' ','物料明细.辅助属性');

-- 执行操作
DELETE FROM t_msisv_puoperateentry WHERE FENTRYID = 1808801550554945538;
INSERT INTO t_msisv_puoperateentry(FID,FOPERATION,FENTRYID,FSEQ) VALUES (1808801523610735616,'save',1808801550554945538,1);

